Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.util
Class Messaging

    java.lang.Object
      j3deditor.bin.util.Messaging

    public class Messaging

extends java.lang.Object

Tool for visualizing messages on `javax.swing.JOptionPane`.

Author:
  Risto Seene

Constructor Summary
`Messaging()` Creates an instance of `Messaging`.

Method Summary
`void` | `throwError(java.lang.Object message)` Shows object on error dialog.
`void` | `throwError(java.lang.Throwable t)` Shows Throwable's detail message.
`void` | `throwFatalError(java.lang.Object message)` Shows object on error dialog and quits the application.
`void` | `throwFatalError(java.lang.Throwable t)` Shows Throwable's detail message and quits the application.
`void` | `throwInfo(java.lang.Object message)` Shows object on message dialog.
`int` | `throwQuestion(java.lang.Object message)` Shows object on question dialog and returns an integer representing user interaction.
`void` | `throwWarning(java.lang.Object message)` Shows object on warning dialog.
`void` | `throwWarning(java.lang.Throwable t)` Shows Throwable's detail message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messaging

    public Messaging()

  Creates an instance of `Messaging`.

Method Detail

### throwError

    public void throwError(java.lang.Throwable t)

  Shows Throwable's detail message.

  Parameters:
    `t` - Throwable which message will be shown

### throwError

    public void throwError(java.lang.Object message)

  Shows object on error dialog.

  Parameters:
    `message` - input message

### throwFatalError

    public void throwFatalError(java.lang.Throwable t)

  Shows Throwable's detail message and quits the application.

  Parameters:
    `t` - Throwable which message will be shown

### throwFatalError

    public void throwFatalError(java.lang.Object message)

  Shows object on error dialog and quits the application.

  Parameters:
    `message` - input message

### throwWarning

    public void throwWarning(java.lang.Object message)

  Shows object on warning dialog.

  Parameters:
    `message` - input message

### throwWarning

    public void throwWarning(java.lang.Throwable t)

  Shows Throwable's detail message.

  Parameters:
    `t` - Throwable which message will be shown

### throwInfo

    public void throwInfo(java.lang.Object message)

  Shows object on message dialog.

  Parameters:
    `message` - input message

### throwQuestion

    public int throwQuestion(java.lang.Object message)

  Shows object on question dialog and returns an integer representing user interaction.

  Parameters:
    `message` - input message
  Returns:
    Returns an integer representing user interaction:
    - `JOptionPane.YES_OPTION`
    - `JOptionPane.NO_OPTION`
    - `JOptionPane.CANCEL_OPTION`
    - `JOptionPane.OK_OPTION`
    - `JOptionPane.CLOSED_OPTION`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD